/*
 * File:   main.c
 * Author: Renato
 *
 * Created on 30 giugno 2013, 20.56
 */

#include <xc.h>
#include <stdio.h>
#include <stdlib.h>
#include "PIC18F4550_config.h"

#define LCD_DEFAULT
#include <PCF8574.h>
#include <PCF8574.c>
#include <LCD_44780_I2C.h>
#include "LCD_44780_I2C.c"
    
#include <delay.h>
#include <delay.c>



void main(void){

LATA = 0x00;

ADCON1 = 0b00001101;
TRISA = 0b00000011;// imposta pin come output=0 ...input=1

PORTB=0x00; // imposta livello uscite
TRISB=0b11111111; // imposta pin come output se 0 ...o come input se 1

LATC = 0x00;
TRISC = 0b00000000;

LATD = 0x00;
TRISD = 0b00000001;

LATE = 0b00000000;
TRISE = 0b00000000;

// Inizializza il modulo I2C a 100KHz @20MHz
OpenI2C(MASTER, SLEW_OFF);
SSPADD = 49;
delay_ms(20);
OpenLCD(20);
delay_ms(200);
write_message_LCD("Ciao Pinna");
delay_ms(1200);
ClearLCD();
HomeLCD();
write_message_LCD("Ciao Mauro");
while (1){
        }
}



